Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 94042 - nxserver-freenx 0.4 doesn't include nxagent
Summary: nxserver-freenx 0.4 doesn't include nxagent
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 63757
  Show dependency tree
 
Reported: 2005-05-26 00:34 UTC by Erik Östlund
Modified: 2006-01-24 10:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Östlund 2005-05-26 00:34:50 UTC
When I try to connect I get "Session startup failed". I've included an excerpt
from /var/log/nxserver.log.

NX> 148 Server capacity: not reached for user: tilos
NX> 105 startsession --session="Test" --type="unix-kde" --cache="32M"
--images="128M" --cookie="22998d7fe42f0703d70889cb4260871b" --link="adsl"
--kbtype="pc102/se" --nodelay="1" --backingstore="when_requested"
--geometry="fullscreen" --media="0" --agent_server="" --agent_user=""
--agent_password=""  --screeninfo="1024x734x32+render"

Password:
NX> 1000 NXNODE - Version 1.4.0-04-CVS OS (GPL)
user=tilos&userip=213.89.229.18&uniqueid=F9CA49413ACB0BDAB85FA5316680B7E7&display=1008&&session=Test&type=unix-kde&cache=32M&images=128M&cookie=22998d7fe42f0703d70889cb4260871b&link=adsl&kbtype=pc102/se&nodelay=1&backingstore=when_requested&geometry=fullscreen&media=0&agent_server=&agent_user=&agent_password=&screeninfo=1024x734x32+render
NX> 700 Session id: draken-1008-F9CA49413ACB0BDAB85FA5316680B7E7
NX> 705 Session display: 1008
NX> 703 Session type: unix-kde
NX> 701 Proxy cookie: cb6e729262675ed27205c72ce1be7ec9
NX> 702 Proxy IP: 213.89.229.18
NX> 706 Agent cookie: 22998d7fe42f0703d70889cb4260871b
NX> 704 Session cache: unix-kde
NX> 707 SSL tunneling: 0
NX> 105 NX> 1004 Error: nxagent failed to start. Session timed out.
                Blocking 1008 again ...
NX> 1001 Bye.
NX> 504 Session startup failed.

Also I found some troubleshooting instructions here:
http://mail.kde.org/pipermail/freenx-knx/2005-February/000815.html

The troubleshooting instructions seem to refer to something called
/usr/NX/bin/nxagent but I don't have something like that installed:

bash-2.05b# equery files nxserver-freenx
[ Searching for packages matching nxserver-freenx... ]
net-misc/nxserver-freenx-0.4.0
* Contents of net-misc/nxserver-freenx-0.4.0:
/usr
/usr/NX
/usr/NX/bin
/usr/NX/bin/nxclient
/usr/NX/bin/nxkeygen
/usr/NX/bin/nxloadconfig
/usr/NX/bin/nxnode
/usr/NX/bin/nxnode-login
/usr/NX/bin/nxprint
/usr/NX/bin/nxserver
/usr/NX/bin/nxsetup
/usr/NX/etc
/usr/NX/etc/node.conf.sample
/usr/NX/etc/passwords
/usr/NX/etc/passwords.orig
/usr/NX/etc/users.id_dsa
/usr/NX/etc/users.id_dsa.pub
/usr/NX/home
/usr/NX/home/nx
/usr/NX/home/nx/.ssh
/usr/NX/home/nx/.ssh/authorized_keys2
/usr/NX/home/nx/.ssh/server.id_dsa.pub.key
/usr/NX/var
/usr/NX/var/db
/usr/NX/var/db/closed
/usr/NX/var/db/closed/.keep
/usr/NX/var/db/failed
/usr/NX/var/db/failed/.keep
/usr/NX/var/db/running
/usr/NX/var/db/running/.keep



Reproducible: Always
Steps to Reproduce:
1. /usr/NX/bin/nxsetup --uninstall --purge
2. emerge -C nxserver-freenx
3. rm -r /usr/NX
4. echo "net-misc/nxserver-freenx ~x86" >>/etc/portage/package.keywords
5. emerge -v nxserver-freenx
6. cp /usr/NX/etc/node.conf.sample /usr/NX/etc/node.conf
7. touch /var/log/nxserver.log
8. chown nx:users /var/log/nxserver.log
9. Modified /usr/NX/node.conf to enable SSH authentication and logging.
10. /usr/NX/bin/nxserver-freenx --restart
11. Tried to connect from another machine and received the previously mentioned
error message.
12. Found previously mentioned troubleshooting link, noticed /usr/NX/bin/nxagent
was missing.
Actual Results:  
I couldn't connect.

Expected Results:  
Connected and displayed my KDE desktop.

bash-2.05b# emerge info
Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r6 i686)
=================================================================
System uname: 2.6.11-gentoo-r6 i686 AMD Athlon(tm) XP 2000+
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Apr 27 2005, 19:27:41)]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.5, 1.8.5-r3, 1.6.3, 1.4_p6, 1.9.5, 1.7.9-r1
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -pipe -march=athlon-xp -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-O3 -pipe -march=athlon-xp -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ds.thn.htu.se/linux/gentoo ftp://mirror.pudas.net/gentoo
http://mirror.pudas.net/gentoo"
LINGUAS="sv en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X aalib alsa apm arts avi berkdb bitmap-fonts cdr crypt
curl emboss encode fam flac foomaticdb fortran gdbm gif gphoto2 gpm gtk gtk2
imagemagick imlib java jpeg junit kde ldap libg++ libwww mad mikmod mmx mmx2
mmxext motif mp3 mpeg mysql ncurses nls nptl nptlonly ogg oggvorbis opengl pam
pdflib png qt quicktime readline samba sdl slang speex spell sse ssl svga tcltk
tcpd tetex tiff truetype truetype-fonts type1-fonts unicode vorbis xml2 xv zlib
linguas_sv linguas_en userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS
Comment 1 Stuart Herbert (RETIRED) gentoo-dev 2005-05-27 00:52:38 UTC
Hi,

The 'blocker' severity is reserved for packages which are preventing other 
packages from working correctly.

nxagent is provided by net-misc/nx-x11, not the nxserver-freenx package.  
Please post the output of 'ls -l /usr/NX/bin'.

Best regards,
Stu
Comment 2 Erik Östlund 2005-05-28 09:26:19 UTC
Thank you for the information on nxagent belonging to net-misc/nx-x11. I had
broken my installation net-misc/nx-x11 when trying to get rid of some old
settings. After reemerging net-misc/nx-x11 everything worked fine.
Comment 3 Nilton Volpato 2006-01-24 10:45:08 UTC
I would like to reopen this bug. I have the same problem, and certainly nxagent is not installed with the current nx-x11. Here's the proof:

qubit ~ # equery files nx-x11
[ Searching for packages matching nx-x11... ]
net-misc/nx-x11-1.4.0-r4
* Contents of net-misc/nx-x11-1.4.0-r4:
/usr
/usr/NX
/usr/NX/bin
/usr/NX/bin/nxauth
/usr/NX/bin/nxdesktop
/usr/NX/bin/nxpasswd
/usr/NX/bin/nxviewer
/usr/NX/lib
/usr/NX/lib/libX11.so -> libX11.so.6.2
/usr/NX/lib/libX11.so.6 -> libX11.so.6.2
/usr/NX/lib/libX11.so.6.2
/usr/NX/lib/libXcomp.so -> libXcomp.so.1.4.0
/usr/NX/lib/libXcomp.so.1 -> libXcomp.so.1.4.0
/usr/NX/lib/libXcomp.so.1.4.0
/usr/NX/lib/libXcompext.so -> libXcompext.so.1.4.0
/usr/NX/lib/libXcompext.so.1 -> libXcompext.so.1.4.0
/usr/NX/lib/libXcompext.so.1.4.0
/usr/NX/lib/libXrender.so -> libXrender.so.1.2
/usr/NX/lib/libXrender.so.1 -> libXrender.so.1.2
/usr/NX/lib/libXrender.so.1.2
/usr/X11R6
/usr/X11R6/include
/usr/X11R6/include/NX.h
/var
/var/lib
/var/lib/nxserver


So I can't use nx. Could this be fixed?

Thanks, Nilton.